class Topic < ActiveRecord::Base
  belongs_to :forum
  belongs_to :user
  belongs_to :last_post, :foreign_key => 'last_post_id', :class_name => "Post"
  has_many   :posts, :dependent => :destroy
  has_many   :trackings, :class_name => "TopicTracking", :dependent => :destroy

  named_scope :tracked, lambda { |u| { :include => [ :trackings, :last_post ], :conditions => [ "topics_tracking.user_id = ?", u ] }}
  named_scope :untracked, lambda { |t| { :conditions => [ "id NOT IN (?)", t ] }}  
end
